classification
Title: Check pkgutil for anything missing for PEP 451
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, brett.cannon, eric.snow, ncoghlan, python-dev
Priority: normal Keywords: patch

Created on 2013-11-22 16:42 by brett.cannon, last changed 2014-01-04 22:16 by eric.snow. This issue is now closed.

Files
File name Uploaded Description Edit
issue19708-use-new-api.diff eric.snow, 2014-01-03 08:19 review
Messages (3)
msg207215 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2014-01-03 08:19
Here's a patch that does the minimum of updating pkgutil and its tests to move away from find_module/load_module.  I'm not sure there is much more to do than this.
msg207315 - (view) Author: Roundup Robot (python-dev) Date: 2014-01-04 22:13
New changeset acebe574ab08 by Eric Snow in branch 'default':
Issue #19708: Update pkgutil to use the new importer APIs.
http://hg.python.org/cpython/rev/acebe574ab08
msg207317 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2014-01-04 22:16
There wasn't much left to do for pkgutil after all. :)
History
Date User Action Args
2014-01-05 07:39:07eric.snowlinkissue19713 dependencies
2014-01-04 22:16:20eric.snowsetstatus: open -> closed
resolution: fixed
messages: + msg207317

stage: resolved
2014-01-04 22:13:49python-devsetnosy: + python-dev
messages: + msg207315
2014-01-03 08:19:15eric.snowsetfiles: + issue19708-use-new-api.diff
keywords: + patch
messages: + msg207215
2013-11-23 19:52:24Arfreversetnosy: + Arfrever
2013-11-22 16:43:05brett.cannonlinkissue18864 dependencies
2013-11-22 16:42:47brett.cannoncreate